Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.util
Class GroovyMacroPlugin

    java.lang.Object
      org.joone.util.MonitorPlugin
          org.joone.util.GroovyMacroPlugin

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, NeuralNetListener, MacroInterface

    public class GroovyMacroPlugin

extends MonitorPlugin
implements MacroInterface

See Also:
  Serialized Form

Field Summary
`(package private) static long` | `serialVersionUID`

Constructor Summary
`GroovyMacroPlugin()`

Method Summary
`MacroManager` | `getMacroManager()` Getter for property macroManager.
`protected void` | `manageCycle(Monitor mon)`
`protected void` | `manageError(Monitor mon)`
`protected void` | `manageStart(Monitor mon)`
`protected void` | `manageStop(Monitor mon)`
`protected void` | `manageStopError(Monitor mon, java.lang.String msgErr)`
`void` | `runMacro(java.lang.String text)` Run a generic macro contained in a text
`void` | `set(java.lang.String name, java.lang.Object jObject)` Exports an internal variable in the script's namespace
`void` | `setMacroManager(MacroManager macroManager)` Setter for property macroManager.

Methods inherited from class org.joone.util.MonitorPlugin
`cicleTerminated, errorChanged, getName, getNeuralNet, getRate, netStarted, netStopped, netStoppedError, setName, setNeuralNet, setRate, toBeManaged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.joone.engine.NeuralNetListener
`cicleTerminated, errorChanged, netStarted, netStopped, netStoppedError`

Field Detail

### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### GroovyMacroPlugin

    public GroovyMacroPlugin()

Method Detail

### set

    public void set(java.lang.String name,
                    java.lang.Object jObject)

  Description copied from interface: `MacroInterface`
  Exports an internal variable in the script's namespace

  Specified by:
    `set` in interface `MacroInterface`
  Parameters:
    `name` - - the name of the variable in the script's namespace
    `jObject` - - the value of the exported variable

### manageStart

    protected void manageStart(Monitor mon)

  Specified by:
    `manageStart` in class `MonitorPlugin`

### manageCycle

    protected void manageCycle(Monitor mon)

  Specified by:
    `manageCycle` in class `MonitorPlugin`

### manageStop

    protected void manageStop(Monitor mon)

  Specified by:
    `manageStop` in class `MonitorPlugin`

### manageError

    protected void manageError(Monitor mon)

  Specified by:
    `manageError` in class `MonitorPlugin`

### runMacro

    public void runMacro(java.lang.String text)

  Run a generic macro contained in a text

  Specified by:
    `runMacro` in interface `MacroInterface`

### getMacroManager

    public MacroManager getMacroManager()

  Getter for property macroManager.

  Specified by:
    `getMacroManager` in interface `MacroInterface`
  Returns:
    Value of property macroManager.

### setMacroManager

    public void setMacroManager(MacroManager macroManager)

  Setter for property macroManager.

  Specified by:
    `setMacroManager` in interface `MacroInterface`
  Parameters:
    `macroManager` - New value of property macroManager.

### manageStopError

    protected void manageStopError(Monitor mon,
                                   java.lang.String msgErr)

  Specified by:
    `manageStopError` in class `MonitorPlugin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net